<?php
	require_once( $GLOBALS["site_root"] . "/includes/widgets/Widget.inc.php" );

	class CommunityLinks extends Widget {
		protected $sUrl = "";
		protected $sRSSUrl = "";

		public function __construct( $id , $parent = null ) {
			parent::__construct( $id , $parent );
			$this->sUrl = sprintf( "http://%s%s" , $_SERVER["SERVER_NAME"] , $_SERVER["REQUEST_URI"] );
		}

		public function setUrl( $v ) { $this->sUrl = $v; }
		public function setRSSUrl( $v ) { $this->sRSSUrl = $v; }
		public function setIsSendPrint( $v ) { $this->bSendPrint = $v; }
		public function setSendPrint( $v ) { $this->sSendPrint = $v; }

		public function render() {
			if ($this->sRendered) return $this->sRendered;
			$this->setParam( "sUrl" , $this->sUrl );
			$this->setParam( "sRSSUrl" , $this->sRSSUrl );
			return parent::render();
		}

	}

?>
